
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]			= format( "flower_colour%s", multiple_colour_name )
	actor[cp_model_dir]				= "beasties"
	actor[cp_model_name]			= "flower-12"

	actor[cp_actor_type]			= cat_block + cat_explosion + cat_flower_switch
	actor[cp_these_collide_with_me]	= cat_bullet + cat_crystal

	actor[cp_launch_hue_shift]		= colour_tables[use_multiple_colour+1]

	actor[cp_in_beastie_count]		= 0

	actor[cp_launch_scale_min]		= 100.0
	actor[cp_launch_scale_max]		= 100.0

--	actor[cp_score]					= 5
	actor[cp_egg_count]				= 12

	actor[cp_hit_power]				= -0.1
	actor[cp_material_hardness]		= 1

-- leave me
	c_preload_model( actor )
-- leave me

	c_add_shadow_to_bone( "face", 7.6 )	

	c_set_random_anim( "sway", 10.0, 10.0, 0.0, 0.0 )

	c_add_particle_to_anim( "hit", "main", "flower-twinkle" )	
	c_add_sound_to_anim( "hit", "jugglefun_flower_liberated", 1.0 )
	c_add_particle_to_anim( "facestate4", "main", "aphid-warning" )
	c_add_particle_to_anim( "facestate5", "main", "aphid-warning2" )

	use_multiple_colour = 2

